package com.artenum.cassandra.plugin;

import java.awt.Dialog;
import java.awt.Frame;
import java.awt.GraphicsConfiguration;
import java.awt.Window;
import java.awt.event.ActionListener;
import java.awt.event.ItemListener;

import javax.swing.JDialog;
import javax.swing.event.ChangeListener;

/**
 * General GUI components of control for plug-ins. 
 * 
 * @author Artenum SARL
 *
 */
public abstract class PlugInControlUI extends JDialog implements ActionListener, ChangeListener, ItemListener {

    public PlugInControlUI() {
        super();
    }

    public PlugInControlUI(Dialog arg0, boolean arg1) {
        super(arg0, arg1);
    }

    public PlugInControlUI(Dialog arg0, String arg1, boolean arg2, GraphicsConfiguration arg3) {
        super(arg0, arg1, arg2, arg3);
    }

    public PlugInControlUI(Dialog arg0, String arg1, boolean arg2) {
        super(arg0, arg1, arg2);
    }

    public PlugInControlUI(Dialog arg0, String arg1) {
        super(arg0, arg1);
    }

    public PlugInControlUI(Dialog arg0) {
        super(arg0);
    }

    public PlugInControlUI(Frame arg0, boolean arg1) {
        super(arg0, arg1);
    }

    public PlugInControlUI(Frame arg0, String arg1, boolean arg2, GraphicsConfiguration arg3) {
        super(arg0, arg1, arg2, arg3);
    }

    public PlugInControlUI(Frame arg0, String arg1, boolean arg2) {
        super(arg0, arg1, arg2);
    }

    public PlugInControlUI(Frame arg0, String arg1) {
        super(arg0, arg1);
    }

    public PlugInControlUI(Frame arg0) {
        super(arg0);
    }

    public PlugInControlUI(Window arg0, ModalityType arg1) {
        super(arg0, arg1);
    }

    public PlugInControlUI(Window arg0, String arg1, ModalityType arg2, GraphicsConfiguration arg3) {
        super(arg0, arg1, arg2, arg3);
    }

    public PlugInControlUI(Window arg0, String arg1, ModalityType arg2) {
        super(arg0, arg1, arg2);
    }

    public PlugInControlUI(Window arg0, String arg1) {
        super(arg0, arg1);
    }

    public PlugInControlUI(Window arg0) {
        super(arg0);
    }

}
